Bug 35541 - [PATCH] Update devel/glib13 to 1.3.15
Summary: [PATCH] Update devel/glib13 to 1.3.15
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: Normal Affects Only Me
Assignee: Maxim Sobolev
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2002-03-04 18:40 UTC by Joe Marcus Clarke
Modified: 2002-03-11 19:13 UTC (History)
0 users

See Also:


Attachments
glib.diff (1.59 KB, patch)
2002-03-04 18:40 UTC, Joe Marcus Clarke
no flags Details | Diff
glib.patch (6.91 KB, patch)
2002-03-11 03:41 UTC, Brian Feldman
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Joe Marcus Clarke 2002-03-04 18:40:01 UTC
Update the glib 2.0 port to 1.3.15.  This will be needed for the gtk+ 1.3.15
PR to follow.  This will partially fix ports/35537.  The gtk+ port upgrade 
should correct the PR fully.
Comment 1 Pete Fritchman freebsd_committer 2002-03-04 20:04:27 UTC
Responsible Changed
From-To: freebsd-ports->gnome

Over to maintainers
Comment 2 Maxim Sobolev freebsd_committer 2002-03-06 08:51:20 UTC
State Changed
From-To: open->suspended

gtk-1.3.15 isn't part of the official GNOME2 beta distribution, therefore 
this PR willl be addressed later.
Comment 3 Joe Marcus Clarke 2002-03-10 20:10:08 UTC
These patches update glib to the GNOME2 beta2 release.  The version
number for glib and gtk+ is now 2.0.0.  Should we repo copy glib13 and
gtk13 to glib2 and gtk2, then delete the 13 dirs?  This would keep
things more inline with the current GNOME trend.

In any event, it looks like archive library building has been disabled
by default.  These patches reenable it in favor of the old style. 
However, it would be trivial to remove the reenabling patch, then remove
the .a files from the plist.

--- Makefile.orig	Sun Mar 10 15:04:07 2002
+++ Makefile	Sun Mar 10 13:48:42 2002
@@ -6,9 +6,9 @@
 #
 
 PORTNAME=	glib
-PORTVERSION=	1.3.14
+PORTVERSION=	2.0.0
 CATEGORIES=	devel
-MASTER_SITES=	${MASTER_SITE_GNOME:S,%SUBDIR%,pre-gnome2/releases/gnome-2.0-desktop-beta,} \
+MASTER_SITES=	${MASTER_SITE_GNOME:S,%SUBDIR%,pre-gnome2/releases/gnome-2.0-desktop-beta2,} \
 		ftp://ftp.gimp.org/pub/%SUBDIR%/ \
 		ftp://ftp.cs.umn.edu/pub/gimp/%SUBDIR%/ \
 		http://www.ameth.org/gimp/%SUBDIR%/ \
--- distinfo.orig	Sun Mar 10 15:04:13 2002
+++ distinfo	Sun Mar 10 13:49:54 2002
@@ -1 +1 @@
-MD5 (gnome2/glib-1.3.14.tar.bz2) = 8bf2f7584928ce5edef30542ee9407d7
+MD5 (gnome2/glib-2.0.0.tar.bz2) = dd9d482ec739a41710080ee136f96444
--- pkg-plist.orig	Sun Mar 10 15:04:20 2002
+++ pkg-plist	Sun Mar 10 15:03:02 2002
@@ -66,18 +66,19 @@
 include/glib-2.0/gobject/gvaluearray.h
 include/glib-2.0/gobject/gvaluecollector.h
 include/glib-2.0/gobject/gvaluetypes.h
-lib/libglib-1.3.a
-lib/libglib-1.3.so
-lib/libglib-1.3.so.14
-lib/libgmodule-1.3.a
-lib/libgmodule-1.3.so
-lib/libgmodule-1.3.so.14
-lib/libgobject-1.3.a
-lib/libgobject-1.3.so
-lib/libgobject-1.3.so.14
-lib/libgthread-1.3.a
-lib/libgthread-1.3.so
-lib/libgthread-1.3.so.14
+lib/libglib-2.0.a
+lib/libglib-2.0.so
+lib/libglib-2.0.so.0
+lib/libgmodule-2.0.a
+lib/libgmodule-2.0.so
+lib/libgmodule-2.0.so.0
+lib/libgobject-2.0.a
+lib/libgobject-2.0.so
+lib/libgobject-2.0.so.0
+lib/libgthread-2.0.a
+lib/libgthread-2.0.so
+lib/libgthread-2.0.so.0
+libdata/charset.alias
 libdata/pkgconfig/glib-2.0.pc
 libdata/pkgconfig/gmodule-2.0.pc
 libdata/pkgconfig/gobject-2.0.pc
@@ -88,6 +89,7 @@
 share/locale/az/LC_MESSAGES/glib20.mo
 share/locale/ca/LC_MESSAGES/glib20.mo
 share/locale/de/LC_MESSAGES/glib20.mo
+share/locale/el/LC_MESSAGES/glib20.mo
 share/locale/es/LC_MESSAGES/glib20.mo
 share/locale/eu/LC_MESSAGES/glib20.mo
 share/locale/fr/LC_MESSAGES/glib20.mo
--- files/patch-ae.orig	Sun Mar 10 15:04:28 2002
+++ files/patch-ae	Sun Mar 10 14:55:54 2002
@@ -1,9 +1,15 @@
-
-$FreeBSD: ports/devel/glib13/files/patch-ae,v 1.21 2002/02/27 11:20:57 sobomax Exp $
-
---- configure.orig	Fri Feb 15 18:43:40 2002
-+++ configure	Wed Feb 27 09:37:41 2002
-@@ -16692,8 +16692,8 @@
+--- configure.orig	Fri Mar  8 10:54:21 2002
++++ configure	Sun Mar 10 14:55:51 2002
+@@ -6223,7 +6223,7 @@
+   ;;
+ esac
+ else
+-  enable_static=no
++  enable_static=yes
+ fi;
+ 
+ # Check whether --enable-shared or --disable-shared was given.
+@@ -16768,8 +16768,8 @@
  rm -f conftest.$ac_objext conftest.$ac_ext
  		fi
  		;;
@@ -14,12 +20,12 @@
  
  		# FreeBSD 2.2.x shiped with gcc 2.7.2.x, which doesn't support
  		# -mthreads flag.
-@@ -16771,13 +16771,13 @@
-            	fi
+@@ -16852,13 +16852,13 @@
+ 		G_THREAD_LIBS="-pthread"
  		;;
               *)
--		for thread_lib in "" pthread pthread32 pthreads c_r thread dce; do
-+		for thread_lib in "$PTHREAD_LIBS" "" pthread pthread32 pthreads c_r thread dce; do
+-		for thread_lib in "" pthread pthread32 pthreads thread dce; do
++		for thread_lib in "$PTHREAD_LIBS" "" pthread pthread32 pthreads thread dce; do
  			if test x"$thread_lib" = x; then
  				add_thread_lib=""
  				IN=""
@@ -31,13 +37,13 @@
  			fi
  			if test x"$have_threads" = xposix; then
  				defattr=0
-@@ -17974,13 +17974,13 @@
-    #
-    # Check for libiconv
-    #
--   echo "$as_me:17977: checking for libiconv_open in -liconv" >&5
+@@ -18048,13 +18048,13 @@
+ 
+     # Check if we have GNU libiconv
+     if test $found_iconv = "no"; then
+-      echo "$as_me:18051: checking for libiconv_open in -liconv" >&5
 -echo $ECHO_N "checking for libiconv_open in -liconv... $ECHO_C" >&6
-+   echo "$as_me:17977: checking for libiconv_open in -lgiconv" >&5
++      echo "$as_me:18051: checking for libiconv_open in -lgiconv" >&5
 +echo $ECHO_N "checking for libiconv_open in -lgiconv... $ECHO_C" >&6
  if test "${ac_cv_lib_iconv_libiconv_open+set}" = set; then
    echo $ECHO_N "(cached) $ECHO_C" >&6
@@ -46,14 +52,65 @@
 -LIBS="-liconv  $LIBS"
 +LIBS="-lgiconv  $LIBS"
  cat >conftest.$ac_ext <<_ACEOF
- #line 17985 "configure"
+ #line 18059 "configure"
+ #include "confdefs.h"
+@@ -18110,13 +18110,13 @@
+     fi
+     # Check if we have a iconv in -liconv, possibly from vendor
+     if test $found_iconv = "no"; then
+-      echo "$as_me:18113: checking for iconv_open in -liconv" >&5
+-echo $ECHO_N "checking for iconv_open in -liconv... $ECHO_C" >&6
++      echo "$as_me:18113: checking for iconv_open in -lgiconv" >&5
++echo $ECHO_N "checking for iconv_open in -lgiconv... $ECHO_C" >&6
+ if test "${ac_cv_lib_iconv_iconv_open+set}" = set; then
+   echo $ECHO_N "(cached) $ECHO_C" >&6
+ else
+   ac_check_lib_save_LIBS=$LIBS
+-LIBS="-liconv  $LIBS"
++LIBS="-lgiconv  $LIBS"
+ cat >conftest.$ac_ext <<_ACEOF
+ #line 18121 "configure"
+ #include "confdefs.h"
+@@ -18242,13 +18242,13 @@
+ 
+     ;;
+   gnu|yes)
+-    echo "$as_me:18245: checking for libiconv_open in -liconv" >&5
+-echo $ECHO_N "checking for libiconv_open in -liconv... $ECHO_C" >&6
++    echo "$as_me:18245: checking for libiconv_open in -lgiconv" >&5
++echo $ECHO_N "checking for libiconv_open in -lgiconv... $ECHO_C" >&6
+ if test "${ac_cv_lib_iconv_libiconv_open+set}" = set; then
+   echo $ECHO_N "(cached) $ECHO_C" >&6
+ else
+   ac_check_lib_save_LIBS=$LIBS
+-LIBS="-liconv  $LIBS"
++LIBS="-lgiconv  $LIBS"
+ cat >conftest.$ac_ext <<_ACEOF
+ #line 18253 "configure"
+ #include "confdefs.h"
+@@ -18303,13 +18303,13 @@
+ 
+     ;;
+   native)
+-    echo "$as_me:18306: checking for iconv_open in -liconv" >&5
+-echo $ECHO_N "checking for iconv_open in -liconv... $ECHO_C" >&6
++    echo "$as_me:18306: checking for iconv_open in -lgiconv" >&5
++echo $ECHO_N "checking for iconv_open in -lgiconv... $ECHO_C" >&6
+ if test "${ac_cv_lib_iconv_iconv_open+set}" = set; then
+   echo $ECHO_N "(cached) $ECHO_C" >&6
+ else
+   ac_check_lib_save_LIBS=$LIBS
+-LIBS="-liconv  $LIBS"
++LIBS="-lgiconv  $LIBS"
+ cat >conftest.$ac_ext <<_ACEOF
+ #line 18314 "configure"
  #include "confdefs.h"
-@@ -18042,7 +18042,7 @@
- fi
+@@ -18373,7 +18373,7 @@
  
- if test "x$with_libiconv" = "xyes" ; then
--  ICONV_LIBS="-liconv"
-+  ICONV_LIBS="-lgiconv"
-   cat >>confdefs.h <<\_ACEOF
- #define USE_LIBICONV 1
+ case $with_libiconv in
+   gnu)
+-    ICONV_LIBS="-liconv"
++    ICONV_LIBS="-lgiconv"
+     cat >>confdefs.h <<\_ACEOF
+ #define USE_LIBICONV_GNU Using GNU libiconv
  _ACEOF

Comment 4 Brian Feldman freebsd_committer 2002-03-11 03:41:01 UTC
I made changes to this port, too, taking into account changes for enabling 
static libraries, removing patch-ae and adding patch-configure.in, using 
autoconf, etc.   How does this look?  Yes, I have to work around USE_AUTOCONF 
related .mk bugs :(

-- 
Brian Fundakowski Feldman                           \'[ FreeBSD ]''''''''''\
   <> green@FreeBSD.org  <> bfeldman@tislabs.com      \  The Power to Serve! \
  Opinions expressed are my own.                       \,,,,,,,,,,,,,,,,,,,,,,\
Comment 5 Ade Lovett freebsd_committer 2002-03-11 06:24:14 UTC
Responsible Changed
From-To: gnome->sobomax

Max is dealing with the whole 1.3 -> 2.0 glib/gtk+ changeover.
Comment 6 Maxim Sobolev freebsd_committer 2002-03-11 11:18:02 UTC
State Changed
From-To: suspended->open

I'm working on it.
Comment 7 Maxim Sobolev freebsd_committer 2002-03-11 19:13:19 UTC
State Changed
From-To: open->closed

Update committed, thank you!